from distutils.core import setup
import sys

py_version_t = (2,5)
py_version_s = ".".join([str(x) for x in py_version_t])



class VersionError(Exception):pass

'''
if sys.version_info[:2] !=py_version_t:
    raise VersionError, "Python %s required for installation of this package"%py_version_s
'''

eepath = "lib/site-packages/EasyExtend"

if __name__ == '__main__':
    version_ext = ""
    if 'sdist' in sys.argv:
        version_ext = '-py'+py_version_s

    setup(
        name = 'EasyExtend',
        version = '2.0-beta2'+version_ext,
        description = 'Preprocessor generator for Python',
        author = 'Kay Schluehr',
        author_email = 'easyextend@fiber-space.de',
        url = 'http://www.fiber-space.de/',
        download_url = 'http://www.fiber-space.de/EasyExtend/doc/main/Download_EE.html',
        license = "BSD",
        packages = ['EasyExtend',
                    'EasyExtend.parser',
                    'EasyExtend.util',
                    'EasyExtend.fibers',
                    'EasyExtend.fibers.coverage',
                    'EasyExtend.fibers.coverage.fibermod',
                    'EasyExtend.fibers.coverage.fibercon',
                    'EasyExtend.fibers.gallery',
                    'EasyExtend.fibers.gallery.fibermod',
                    'EasyExtend.fibers.gallery.fibercon',
                    'EasyExtend.fibers.teuton',
                    'EasyExtend.fibers.teuton.fibermod',
                    'EasyExtend.fibers.teuton.fibercon',
                    'EasyExtend.fibers.macro',
                    'EasyExtend.fibers.macro.fibermod',
                    'EasyExtend.fibers.macro.fibercon',
                    'EasyExtend.fibers.transit',
                    'EasyExtend.fibers.transit.fibermod',
                    'EasyExtend.fibers.transit.fibercon',
                    'EasyExtend.fibers.transit.fiber_template',
                    'EasyExtend.fibers.transit.fiber_template.fibermod',
                    'EasyExtend.fibers.transit.fiber_template.fibercon',
                    'EasyExtend.fibers.zero',
                    'EasyExtend.fibers.zero.fibermod',
                    'EasyExtend.fibers.zero.fibercon',
                    ],
    package_data = {"EasyExtend":["fs", "Grammar"],
                    "EasyExtend.fibers.coverage":["Grammar","Grammar.ext"],
                    "EasyExtend.fibers.gallery":["Grammar","Grammar.ext"],
                    "EasyExtend.fibers.macro":["Grammar","Grammar.ext"],
                    "EasyExtend.fibers.teuton":["Grammar","Grammar.ext"],
                    "EasyExtend.fibers.transit":["Grammar", "Grammar.ext"],
                    "EasyExtend.fibers.transit.fiber_template":["Grammar","Grammar.ext"],
                    "EasyExtend.fibers.zero":["Grammar","Grammar.ext"]}
    )

